t.list(1)

NAME
t.list.py - Lists space time datasets and maps registered in the temporal database.

KEYWORDS
temporal, map management, list, time

SYNOPSIS
t.list.py
t.list.py --help
t.list.py [-c] [type=string] [temporaltype=name[,name,...]] [order=string[,string,...]] [columns=string[,string,...]] [where=sql_query] [separator=character] [output=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-c
    Print the column names as first row

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

type=string
    Type of the space time dataset or map, default is strds
    Options: strds, str3ds, stvds, raster, raster_3d, vector
    Default: strds

temporaltype=name[,name,...]
    The temporal type of the space time dataset
    Options: absolute, relative
    Default: absolute,relative

order=string[,string,...]
    Sort the space time dataset by category
    Columns number_of_maps and granularity only available for space time datasets
    Options: id, name, creator, mapset, number_of_maps, creation_time, start_time, end_time, interval, north, south, west, east, granularity
    Default: id

columns=string[,string,...]
    Columns to be printed to stdout
    Columns number_of_maps and granularity only available for space time datasets
    Options: id, name, creator, mapset, number_of_maps, creation_time, start_time, end_time, north, south, west, east, granularity, all
    Default: id

where=sql_query
    WHERE conditions of SQL statement without ’where’ keyword used in the temporal GIS framework
    Example: start_time > ’2001-01-01 12:30:00’

separator=character
    Field separator character between the output columns
    Special characters: pipe, comma, space, tab, newline
    Default: pipe

output=name
    Name for output file

DESCRIPTION
t.list lists any dataset that is registered in the temporal database. Datasets are raster, 3D raster and vector maps as well as their corresponding space time datasets (STRDS, STR3DS and STVDS). The type of the dataset can be specified using the type option, default is STRDS. By default all datasets with relative and absolute time are listed. However, the user has the ability to specify a single temporal type with the temporaltype option. The user can define the columns that should be printed for each dataset and the order of the datasets. In addition a SQL WHERE statement can be specified to select a subset of the requested datasets.

NOTES
The SQL where and sort expression will be applied for each temporal database that was found in accessible mapsets. Hence sorting works only on mapset basis.

Temporal databases stored in other mapsets can be used as long as they are in the user’s current mapset search path (managed with g.mapsets).

EXAMPLES
Obtain the list of raster space time dataset(s):

t.list strds
----------------------------------------------
Space time raster datasets with absolute time available in mapset climate_2000_2012:
tempmean_monthly@climate_2000_2012

The user can obtain also the list of raster maps contained in a temporal datasets (this may be the content of several space time datasets if enabled through g.mapsets):

t.list raster
Time stamped raster maps with absolute time available in mapset climate_2000_2012:
2009_01_tempmean@climate_2000_2012
2009_02_tempmean@climate_2000_2012
2009_03_tempmean@climate_2000_2012
...
2012_10_tempmean@climate_2000_2012
2012_11_tempmean@climate_2000_2012
2012_12_tempmean@climate_2000_2012

SEE ALSO
g.list, t.create, t.info, t.rast.list, t.rast3d.list, t.vect.list

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

Last changed: $Date: 2015-09-22 14:04:47 +0200 (Tue, 22 Sep 2015) $

SOURCE CODE

Available at: t.list source code (history)

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2017 GRASS Development Team, GRASS GIS 7.2.1 Reference Manual